"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCosmosConfigPath = getCosmosConfigPath;

var _path = _interopRequireDefault(require("path"));

var _fs = require("../shared/fs");

var _shared = require("./shared");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getCosmosConfigPath() {
  const cliArgs = (0, _shared.getCliArgs)(); // CLI support for --config relative/path/to/cosmos.config.json

  if (typeof cliArgs.config === 'string') {
    if (_path.default.extname(cliArgs.config) !== '.json') {
      throw new Error(`[Cosmos] Invalid config file type: ${cliArgs.config} (must be .json)`);
    }

    const absPath = _path.default.resolve((0, _shared.getCurrentDir)(), cliArgs.config);

    if (!(0, _fs.fileExists)(absPath)) {
      throw new Error(`[Cosmos] Config not found at path: ${cliArgs.config}`);
    }

    return absPath;
  } // CLI suppport for --root-dir relative/path/project


  const configDir = typeof cliArgs.rootDir === 'string' ? (0, _shared.getRootDirAtPath)(cliArgs.rootDir) : (0, _shared.getCurrentDir)();
  return _path.default.join(configDir, 'cosmos.config.json');
}