"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCosmosConfig = getCosmosConfig;
Object.defineProperty(exports, "createCosmosConfig", {
  enumerable: true,
  get: function () {
    return _createCosmosConfig.createCosmosConfig;
  }
});
Object.defineProperty(exports, "resolvePath", {
  enumerable: true,
  get: function () {
    return _resolve.resolvePath;
  }
});
Object.defineProperty(exports, "resolveModule", {
  enumerable: true,
  get: function () {
    return _resolve.resolveModule;
  }
});

var _fs = require("../shared/fs");

var _shared = require("./shared");

var _createCosmosConfig = require("./createCosmosConfig");

var _cosmosConfigPath = require("./cosmosConfigPath");

var _resolve = require("./resolve");

function getCosmosConfig() {
  const cosmosConfigPath = (0, _cosmosConfigPath.getCosmosConfigPath)();
  const cosmosConfigInput = (0, _fs.requireModule)(cosmosConfigPath) || {};
  return (0, _createCosmosConfig.createCosmosConfig)(cosmosConfigInput);
}