"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.resolvePath = resolvePath;
exports.resolveModule = resolveModule;

var _path = _interopRequireDefault(require("path"));

var _resolveFrom = _interopRequireDefault(require("resolve-from"));

var _slash = require("../shared/slash");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function resolvePath(rootDir, filePath) {
  // Use to deal with file paths only
  return (0, _slash.slash)(_path.default.resolve(rootDir, filePath));
}

function resolveModule(rootDir, moduleId) {
  // Use to deal with file paths and module names interchangeably
  return (0, _slash.slash)( // An absolute path is already resolved
  _path.default.isAbsolute(moduleId) ? moduleId : _resolveFrom.default.silent(rootDir, moduleId) || // Final attempt: Resolve relative paths that don't either
  // 1. Don't start with ./
  // 2. Don't point to an existing file
  _path.default.join(rootDir, moduleId));
}