"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCliArgs = getCliArgs;
exports.getCurrentDir = getCurrentDir;
exports.getRootDirAtPath = getRootDirAtPath;

var _path = _interopRequireDefault(require("path"));

var _yargs = _interopRequireDefault(require("yargs"));

var _fs = require("../shared/fs");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getCliArgs() {
  return _yargs.default.argv;
}

function getCurrentDir() {
  return process.cwd();
}

function getRootDirAtPath(dirPath) {
  const absPath = _path.default.resolve(getCurrentDir(), dirPath);

  if (!(0, _fs.dirExists)(absPath)) {
    throw new Error(`[Cosmos] Dir not found at path: ${dirPath}`);
  }

  return absPath;
}