"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ErrorCatch = void 0;

var _react = _interopRequireDefault(require("react"));

var _lodash = require("lodash");

var _react2 = require("react-cosmos-shared2/react");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class ErrorCatch extends _react.default.Component {
  constructor(...args) {
    super(...args);

    _defineProperty(this, "state", {
      error: null
    });
  }

  componentDidCatch(error, info) {
    this.setState({
      error: `${error.message}\n${info.componentStack}`
    });
  }

  componentDidUpdate(prevProps) {
    // A change in fixture (children) or fixture state signifies that the
    // problem that caused the current error might've been solved. If the error
    // persists, it will organically trigger the error state again in the next
    // update
    if (this.state.error && (fixtureChanged(this.props.children, prevProps.children) || fixtureStateChanged(this.props.fixtureState, prevProps.fixtureState))) {
      this.setState({
        error: null
      });
      this.props.onErrorReset();
    }
  }

  render() {
    return this.state.error ? this.renderError(this.state.error) : this.props.children;
  }

  renderError(error) {
    // NOTE: In dev mode this output is overlayed by react-error-overlay,
    // which has greater UI and detail. But the information rendered here is
    // most useful in static exports, where react-error-overlay is missing.
    return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement("p", null, _react.default.createElement("strong", null, "Ouch, something wrong!")), _react.default.createElement("pre", null, error), _react.default.createElement("p", null, "Check console for more info."));
  }

}

exports.ErrorCatch = ErrorCatch;

function fixtureChanged(f1, f2) {
  return !(0, _react2.areNodesEqual)(f1, f2);
}

function fixtureStateChanged(fS1, fS2) {
  return !(0, _lodash.isEqual)(fS1, fS2);
}