"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mountDomRenderer = mountDomRenderer;
Object.defineProperty(exports, "rendererId", {
  enumerable: true,
  get: function () {
    return _rendererId.rendererId;
  }
});
Object.defineProperty(exports, "rendererConnect", {
  enumerable: true,
  get: function () {
    return _rendererConnect.rendererConnect;
  }
});

var _react = _interopRequireDefault(require("react"));

var _reactDom = require("react-dom");

var _reactCosmosFixture = require("react-cosmos-fixture");

var _rendererId = require("./rendererId");

var _rendererConnect = require("./rendererConnect");

var _container = require("./container");

var _ErrorCatch = require("./ErrorCatch");

require("./globalErrorHandler");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function mountDomRenderer({
  rendererConfig,
  fixtures,
  decorators,
  onErrorReset
}) {
  (0, _reactDom.render)(_react.default.createElement(_reactCosmosFixture.FixtureLoader, {
    rendererId: _rendererId.rendererId,
    rendererConnect: _rendererConnect.rendererConnect,
    fixtures: fixtures,
    systemDecorators: [_ErrorCatch.ErrorCatch],
    userDecorators: decorators,
    onErrorReset: onErrorReset
  }), (0, _container.getDomContainer)(rendererConfig.containerQuerySelector));
}