"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.rendererId = void 0;

var _util = require("react-cosmos-shared2/util");

const rendererId = getRendererId(); // Renderer ID is remembered to avoid announcing a new renderer when reloading
// the renderer window. Note that each tab has creates a new session and thus
// a new rendererId.
// https://developer.mozilla.org/en-US/docs/Web/API/Window/sessionStorage

exports.rendererId = rendererId;

function getRendererId() {
  let rId = sessionStorage.getItem('cosmosRendererId');

  if (!rId) {
    rId = (0, _util.uuid)();
    sessionStorage.setItem('cosmosRendererId', rId);
  }

  return rId;
}