"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.init = init;
exports.dismiss = dismiss;

var _queryString = _interopRequireDefault(require("query-string"));

var ErrorOverlay = _interopRequireWildcard(require("react-error-overlay"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const LAUNCH_EDITOR_ENDPOINT = '/_open';

function init() {
  ErrorOverlay.startReportingRuntimeErrors({
    filename: process.env.PUBLIC_URL + '/main.js'
  });
  ErrorOverlay.setEditorHandler(errorLocation => window.fetch(getLaunchEditorUrl(errorLocation)));
  setUpBuildErrorReporting();
}

function dismiss() {
  ErrorOverlay.dismissRuntimeErrors();
}

function getLaunchEditorUrl(errorLocation) {
  return `${LAUNCH_EDITOR_ENDPOINT}?${_queryString.default.stringify({
    filePath: errorLocation.fileName,
    line: errorLocation.lineNumber || 1,
    column: errorLocation.colNumber || 1
  })}`;
}

function setUpBuildErrorReporting() {
  const clientWindow = window;

  if (clientWindow.__webpack_hot_middleware_reporter__ === undefined) {
    return;
  }

  clientWindow.__webpack_hot_middleware_reporter__.useCustomOverlay({
    showProblems(type, obj) {
      if (type !== 'errors') {
        // We might've went from errors -> warnings
        ErrorOverlay.dismissBuildError();
      } else {
        ErrorOverlay.reportBuildError(obj[0]);
      }
    },

    clear() {
      ErrorOverlay.dismissBuildError();
    }

  });
}