"use strict";

var _domRenderer = require("../../../domRenderer");

var _errorOverlay = require("./errorOverlay");

require("./hmrErrorHandler");

mount();

function mount() {
  // Use dynamic import to load updated modules upon hot reloading
  const {
    rendererConfig,
    fixtures,
    decorators
  } = require('./userDeps');

  (0, _domRenderer.mountDomRenderer)({
    rendererConfig,
    fixtures,
    decorators,
    onErrorReset: _errorOverlay.dismissErrorOverlay
  });
}

if (module.hot) {
  module.hot.accept('./userDeps', () => {
    // If a previous error has been solved, the error overlay auto-closes nicely.
    // If the error persists, however, the overlay will pop up again on its own
    (0, _errorOverlay.dismissErrorOverlay)();
    mount();
  });
}