"use strict";

var _userDeps = require("../../../shared/userDeps");

var _config = require("../../../config");

var _dom = require("../cosmosConfig/dom");

module.exports = async function injectUserDeps(source) {
  const cosmosConfig = (0, _config.getCosmosConfig)();
  const webpackLoaderContext = this;
  const callback = webpackLoaderContext.async(); // This ensures this loader is invalidated whenever a new file is added to or
  // removed from user's project, which in turn triggers react-cosmos-voyager2
  // to detect fixture files and finally update fixture list inside Playground.
  // Note that while this may not be very performant, it's not the equivalent
  // of require.context, which not only watches for file changes but also
  // automatically bundles new files that match the watcher's query.
  // https://github.com/webpack/webpack/issues/222#issuecomment-40691546

  const watchDirs = cosmosConfig.watchDirs;
  watchDirs.forEach(watchDir => webpackLoaderContext.addContextDependency(watchDir));
  const {
    containerQuerySelector
  } = (0, _dom.createDomCosmosConfig)(cosmosConfig);
  const rendererConfig = {
    containerQuerySelector
  };
  const userDepsModule = await (0, _userDeps.generateUserDepsModule)(cosmosConfig, rendererConfig);
  callback(null, userDepsModule);
};