"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createApp = createApp;

var _express = _interopRequireDefault(require("express"));

var _static = require("../static");

var _playgroundHtml = require("../playgroundHtml");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function createApp(platformType, cosmosConfig) {
  const app = (0, _express.default)();
  const playgroundHtml = (0, _playgroundHtml.getDevPlaygroundHtml)(platformType, cosmosConfig);
  app.get('/', (req, res) => {
    res.send(playgroundHtml);
  });
  app.get('/_playground.js', (req, res) => {
    res.sendFile(require.resolve('react-cosmos-playground2/dist'));
  });
  app.get('/_cosmos.ico', (req, res) => {
    res.sendFile((0, _static.getStaticPath)('favicon.ico'));
  });
  return app;
}