"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createHttpServer = createHttpServer;

var _http = _interopRequireDefault(require("http"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function createHttpServer(cosmosConfig, requestListener) {
  const {
    port,
    hostname
  } = cosmosConfig;

  const server = _http.default.createServer(requestListener);

  async function start() {
    await new Promise(resolve => {
      if (hostname === null) {
        server.listen(port, resolve);
      } else {
        server.listen(port, hostname, resolve);
      }
    });
    const hostnameDisplay = hostname || 'localhost';
    console.log(`[Cosmos] See you at http://${hostnameDisplay}:${port}`);
  }

  async function stop() {
    await new Promise(resolve => server.close(resolve));
  }

  return {
    server,
    start,
    stop
  };
}