"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getFixtureExports = getFixtureExports;

var _path = _interopRequireDefault(require("path"));

var _slash = require("../slash");

var _findUserModulePaths = require("./findUserModulePaths");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function getFixtureExports(cosmosConfig) {
  const {
    rootDir,
    fixturesDir,
    fixtureFileSuffix
  } = cosmosConfig;
  const {
    fixturePaths
  } = await (0, _findUserModulePaths.findUserModulePaths)({
    rootDir,
    fixturesDir,
    fixtureFileSuffix
  });
  const reactFixturesByPath = {};
  fixturePaths.forEach(fixturePath => {
    const relPath = (0, _slash.slash)(_path.default.relative(rootDir, fixturePath));
    reactFixturesByPath[relPath] = require(fixturePath).default;
  });
  return reactFixturesByPath;
}